%{!?upstream_version: %global upstream_version %{version}}
%define upstream_name puppetlabs-rabbitmq


Name:           puppet-rabbitmq
Version:        5.6.0
Release:        2%{?dist}
Summary:        Installs, configures, and manages RabbitMQ.
License:        Apache-2.0

URL:            https://github.com/puppetlabs/puppetlabs-rabbitmq

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=+1
#
Patch0001: 0001-Allows-deprecation-errors.patch
Patch0002: 0002-Fix-sync.patch
Patch0003: 0003-MODULES-3704-Update-gemfile-template-to-be-identical.patch

BuildArch:      noarch

Requires:       puppet-stdlib
#Requires:       puppet-apt
Requires:       puppet-staging
Requires:       puppet >= 2.7.0

%description
Installs, configures, and manages RabbitMQ.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/



%files
%{_datadir}/openstack-puppet/modules/rabbitmq/


%changelog
* Tue Oct 24 2017 Jason Joyce <jjoyce@redhat.com> 5.6.0-2
- (MODULES-3704) Update gemfile template to be identical
- Fix sync

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 5.6.0-1
- Update to 5.6.0 (057a0138f9a53a1d8b7a582734968ec194c3c705)

* Fri Oct 14 2016 Jon Schlueter <jschluet@redhat.com> 5.5.0-2.837d556git
- Merge pull request #507 from bastelfreak/fix_package_source
- set $real_package_source to undef instead of empty

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> - 5.5.0-1.837d556.git
- Newton update 5.5.0 (837d556a1a817f78f4e92b80643b8d43ff437f46)


